module.exports = app => {
  const self_paced = require("../controllers/self_paced.controller.js");
  var router = require("express").Router();
  router.post("/save_self_schedule", self_paced.save_self_schedule);
  router.post("/update_user_resource", self_paced.update_user_resource);
  router.post("/get_expirydate", self_paced.get_expirydate);
  router.post("/get_membership_materials", self_paced.get_membership_materials);
  router.post("/get_self_schedule", self_paced.get_self_schedule);
  router.post("/SaveSelfpaced_User_Schedule", self_paced.SaveSelfpaced_User_Schedule);
  router.post("/selfpaced_times", self_paced.selfpaced_times);
  router.post("/update_examdate", self_paced.update_examdate);
  router.post("/update_section_video_view", self_paced.update_section_video_view);
  router.post("/add_selfpaced_hours", self_paced.add_selfpaced_hours);
  router.post("/all", self_paced.all);
  router.post("/alldropdown", self_paced.alldropdown);
  router.post("/delete", self_paced.delete);
  router.post("/delete_self_class", self_paced.delete_self_class);
  router.post("/enrollments_detail", self_paced.enrollments_detail);
  router.post("/get_all_hybrid_materials", self_paced.get_all_hybrid_materials);
  router.post("/get_all_materials", self_paced.get_all_materials);
  router.post("/get_all_mentor", self_paced.get_all_mentor);
  router.post("/get_saved_materials", self_paced.get_saved_materials);
  router.post("/get_selfpaced_summary_report", self_paced.get_selfpaced_summary_report);
  router.post("/pay_trn_byid", self_paced.pay_trn_byid);
  router.post("/remove_enrollments", self_paced.remove_enrollments);
  router.post("/save_materials", self_paced.save_materials);
  router.post("/selfpaced_classes", self_paced.selfpaced_classes);
  router.post("/update", self_paced.update);
  router.post("/update_mentor_notes", self_paced.update_mentor_notes);
  router.post("/update_one_time", self_paced.update_one_time);
  router.post("/update_subscription", self_paced.update_subscription);
  app.use('/self_paced', router);
};
